Package nl.tudelft.simulation.examples.dsol.terminal

# Interface IntResourceRequestorInterface<A extends Comparable<A>,​R extends Number & Comparable<R>,​T extends SimTime<A,​R,​T>>

Type Parameters:
  `A` - the absolute time type to use in timed events
  `R` - the relative time type
  `T` - the simulation time type.

All Known Implementing Classes:
  `Container`

    public interface IntResourceRequestorInterface<A extends Comparable<A>,​R extends Number & Comparable<R>,​T extends SimTime<A,​R,​T>>

This interface provides a callback method to the resource. Whenever resource is available this method is invoked on the requestor..

Copyright (c) 2002-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Since:
  1.5
Author:
  Peter Jacobs

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`default void` | `receiveRequestedResource​(int requestedCapacity, IntResource<A,​R,​T> resource)` | receive the requested resource.
`void` | `receiveRequestedResource​(long requestedCapacity, IntResource<A,​R,​T> resource)` | receive the requested resource.

## Method Details

### receiveRequestedResource

void receiveRequestedResource​(long requestedCapacity, IntResource<A,​R,​T> resource) throws RemoteException
receive the requested resource.

Parameters:
  `requestedCapacity` - long; reflects the amount requested.
  `resource` - IntResource<A,R,T>; the requested resource.
Throws:
  `RemoteException` - on network failure.

### receiveRequestedResource

default void receiveRequestedResource​(int requestedCapacity, IntResource<A,​R,​T> resource) throws RemoteException
receive the requested resource.

Parameters:
  `requestedCapacity` - int; reflects the amount requested.
  `resource` - IntResource<A,R,T>; the requested resource.
Throws:
  `RemoteException` - on network failure.